dfc(1)

NOM
dfc - rapporte avec style l'utilisation de l'espace disque des systèmes de fichiers

SYNOPSIS
dfc [OPTION(S)] [-c WHEN] [-e FORMAT] [-p FSNAME] [-q SORTBY] [-t FSTYPE] [-u UNIT]

DESCRIPTION
dfc(1) est un outil similaire à df(1) mise à part le fait qu'il est capable d'afficher un graphe en plus des données et qu'il peut utiliser des couleurs (le mode couleur par défaut est "automatique" mais il peut être changé par le biais de l'option "-c").

La taille disponible correspond à l'espace disponible du point de vue de l'utilisateur et non de la perspective de l'utilisateur root (càd: dfc(1) utilise f_bavail au lieu de f_bfree).

Sans option, la taille est affichée dans un format lisible par l'être humain. Faites attention au fait qu'en utilisant ce format, quelques erreurs d'arrondis peuvent survenir lors du calcul de la taille. Si vous souhaitez une précision maximale, utilisez l'option "-u" et choisissez l'unité désirée.

dfc(1) possède également une fonctionnalité permettant à l'affichage de s'auto-ajuster en fonction de la taille du terminal. Si vous désirez outrepasser ce comportement, utilisez l'option "-f".

OPTIONS

-a  Affiche tout (n'omet aucun système de fichiers).

-b  Désactive l'affichage du graphe.

-c [WHEN]
    Permet de choisir la couleur où WHEN est une des sous-options suivantes:

    "always": Les couleurs seront toujours utilisées, peu importe "stdout".

    "auto": Il s'agit de l'option par défaut lorsque "-c" n'est pas activée. Les couleurs sont utilisées seulement si "stdout" est un terminal. Par exemple, les couleurs seront désactivées avec cette option si vous faites une redirection de la sortie de dfc(1) vers une autre commande.

    "never": Les couleurs ne seront jamais utilisées.

-d  Affiche la taille utilisée.

-e [FORMAT]
    Permet d'exporter la sortie de dfc(1) dans le format spécifié FORMAT. FORMAT est un des suivant:

    "csv": Exporte vers le format CSV. Exemple d'utilisation:

        dfc -e csv > foo.csv

    "html": Exporte vers le format HTML. Exemple d'utilisation:

        dfc -e html -Tadiso -c always > index.html

    "json": Export vers le format JSON. Exemple d'utilisation:

        dfc -e json -Tisod > report.json

    "tex": Exporte vers le format TeX. Exemple d'utilisation:

        dfc -e tex -c always > report.tex

    "text": Sortie texte (défaut).

-f  Outrepasse le comportement d'auto-ajustement en forçant l'affichage des informations. Cette option peut être utile lorsque vous redirigez la sortie de dfc(1).

-h  Affiche une brève aide.

-i  Affiche des informations sur les inodes.

-l  Affiche les informations uniquement sur les systèmes de fichiers montés localement.

-M  Désactive l'affichage de "monté sur"

-m  Utilise les unités SI (càd: la taille est calculée en utilisant des puissances de 10 au lieu de 2).

-n  Désactive l'affichage de l'entête.

-o  Affiche les options de montage.

-p [FSNAME]
    Permet de filtrer par nom de système de fichiers. FSNAME peut prendre n'importe quelle valeur. Par exemple, si vous souhaitez afficher uniquement les systèmes de fichiers dont le nom commence par "/dev", vous utiliseriez la commande suivante:

        dfc -p /dev

    Cela affichera uniquement les systèmes de fichiers dont le nom est, par exemple, "/dev/sda1", "/dev/root", "/dev", etc.

    Une sélection multiple est également possible. Dans ce cas, FSNAME doit être sous forme d'une liste séparée par des virgules (sans espaces). Par exemple, si vous souhaitez filtrer "/dev" et "tmpfs", vous utiliseriez la commande suivante:

        dfc -p /dev,tmpfs

    Il est également possible d'utiliser la correspondance négative afin de filtrer la sortie. Dans ce cas, il faut ajouter un "-" au début de FSNAME. Dans l'exemple suivant, dfc(1) affichera tous les systèmes de fichiers exceptés ceux mentionnés:

        dfc -p -proc,/dev/sdc,run

-q [SORTBY]
    Permet de filtrer la sortie en fonction de SORTBY.

    SORTBY peut prendre une de ces trois valeurs: "name", "type", "mount".

    En utilisant "name", la sortie est triée par nom de système de fichiers. En utilisant "type", la sortie est triée par type de système de fichiers. En utilisant "mount", la sortie est triée par point de montage.

-s  Somme l'utilisation totale.

-t [FSTYPE]
    Permet de filtrer en fonction du type de système de fichier. FSTYPE peut prendre n'importe quelle valeur connue d'un système de fichiers. Par exemple, "ext4", "ufs", "tmpfs", "reiserfs", etc. Il est également possible de filtrer avec en fournissant un nom partiel, de la même manière qu'avec l'option -p. Par exemple, si vous utilisez la commande suivante:

        dfc -t ext

    Cela filtrera tout type de système de fichier dont le nom commence par "ext", comme, par exemple, "ext2", "ext3" et "ext4".

    Une sélection multiple est également possible. Dans ce cas, FSTYPE doit être une liste séparée par des virgules (sans espaces). Par exemple, si vous souhaitez filtrer "ext4" et "tmpfs", vous utiliseriez la commande suivante:

        dfc -t ext4,tmpfs

    Il est également possible d'utiliser la correspondance négative afin de filtrer la sortie. Dans ce cas, il faut ajouter un "-" au début de FSTYPE. Dans l'exemple suivant, dfc(1) affichera tous les systèmes de fichiers à part ceux mentionnés:

        dfc -t -rootfs,tmpfs

-T  Affiche le type de système de fichiers.

-u [UNIT]
    Affiche la taille dans l'unité spécifiée. UNIT peut prendre n'importe laquelle des valeurs suivantes:

    "h":
        Format lisible par l'être humain (par défaut lorsque l'option "-u" n'est pas utilisée).

    "b":
        Affiche le nombre d'octets.

    "k":
        Affiche la taille en Kio.

    "m":
        Affiche la taille en Mio.

    "g":
        Affiche la taille en Gio.

    "t":
        Affiche la taille en Tio.

    "p":
        Affiche la taille en Pio.

    "e":
        Affiche la taille en Eio.

    "z":
        Affiche la taille en Zio.

    "y":
        Affiche la taille en Yio.

    NOTE: Lorsque l'option "-u" est utilisée en même temps que l'option "-m", ces sous-options sont remplacées par leur équivalent SI.

-v  Affiche la version de dfc(1) et quitte.

-w  Utilise une barre plus large pour le graphe.

-W  Noms de fichiers larges (évite de tronquer des noms de fichiers). Peut nécessiter un affichage plus large.

FICHIER DE CONFIGURATION
Le fichier de configuration est optionnel. Il permet de changer les couleurs par défaut, les valeurs à partir desquelles les couleurs changent et le symbole du graphe de dfc(1) en mode texte ainsi que modifier les couleurs utilisées lors de l'export vers html.

Si vous souhaitez l'utiliser, il faut le placer dans ce répertoire:

    $XDG_CONFIG_HOME/dfc/dfcrc

Si votre système d'exploitation ne supporte pas les spécifications de dossiers XDG, alors il devrait être placé dans ce répertoire:

    $HOME/.config/dfc/dfcrc

Ou, dernier choix:

    $HOME/.dfcrc

NOTE: Les deux derniers choix ne peuvent être choisis que lorsque votre OS ne supporte pas les spécifications XDG.

BOGUES
Si vous en trouvez un, merci de contacter l'auteur de lui expliquez le problème rencontré.

AUTEUR
Robin Hahling <robin.hahling@gw-computing.net>

COPYRIGHT
Copyright © 2012-2017 Robin Hahling

LICENCE
BSD 3 Clauses

VOIR AUSSI
df(1), du(1)